package types

// IWebSocket -- интерфейс к постоянному веб-сокету сервера
type IWebSocket interface {
	// Write -- записывает топик на сервер
	Write(topic string, dictReq map[string]string) error
	// Read -- читает топик с сервера
	Read(topic string) (mapResp map[string]string, err error)
	// Call -- вызывает худалённую процедуру
	Call(topic string, dictReq map[string]string) (mapResp map[string]string, err error)
	// IsConnect -- возвращает признак подключенности к серверу
	IsConnect() bool
}
